<template>
  <div id="app">
    <router-view/>
  </div>
</template>
<script>
    export default {
        data() {
            return {};
        },
        ceated() {

        },
        mounted() {
            let getData
            if (this.$route.query) {
                getData = JSON.stringify(this.$route.query)
                getData = JSON.parse(getData)
                if (getData.erpOrderObj) {
                    getData = JSON.parse(getData.erpOrderObj)
                }
            }
            if (!this.getLocalStorage() && !getData) {
                this.$router.push({
                    path: "/login",
                });
            } else if (getData && getData.path) { // erp自动登陆传过来的参数
                let parameter = getData
                this.$router.push({
                    path: `/automaticLogin?toke=${data.token}&data=${JSON.stringify(parameter)}`,
                })
            } else {
                this.$router.push({
                    name: "Home",
                });
            }
            setTimeout(() => {
                this.getUserInfo()
            }, 100)
        },
        methods: {
            // 获取用户权限信息
            getUserInfo() {
                this.apipost("/api/AutoLogin/GetCRMLoginMenu", {}, (res) => {
                    var jsonData = res.data;
                    if (jsonData.resultCode == 1) {
                        var userData = jsonData.data
                        var userJson = userData;
                        var userInfo = JSON.parse(localStorage.userInfo)
                        userInfo.UserMenu = userJson
                        localStorage.userInfo = JSON.stringify(userInfo)
                    } else {
                        this.$message({
                            message: res.data.message,
                            type: "error",
                        });
                        this.loginState = 0;
                    }
                });
            },
        },
    };
</script>

<style>
    @import "./assets/css/tablevoerride.css";
    @import "./assets/global/font.css";
    @import "//at.alicdn.com/t/font_1627123_xio004ni8y.css";
    @import url("//at.alicdn.com/t/font_1627123_grz80mbm3sv.css");
    /* @import './assets/css/common.css'; */
    
    @import "./assets/css/init.css";
    body,
    html {
        padding: 0px;
        margin: 0px;
        font-family: "微软雅黑", " Microsoft YaHei", "PingFang", "PingFangR";
        -webkit-font-smoothing: antialiased;
        height: 100%;
    }
    
    #app {
        height: 100%;
    }
    
    .el-scrollbar {
        height: 100%;
    }
    
    .el-scrollbar__wrap {
        overflow: auto !important;
        width: 100%;
        height: 100%;
    }
    
    .el-scrollbar__view {
        width: 100%;
        height: 100%;
    }
    
    .page-component-up {
        position: fixed;
        right: calc(8.3% - 60px);
        bottom: 150px;
        width: 40px;
        height: 90px;
        z-index: 2000;
    }
    
    .page-component-up img {
        width: 38px;
        height: 38px;
    }
    
    .page-component-up i {
        background-color: #fff;
        cursor: pointer;
        transition: 0.3s;
        /* box-shadow: 0 0 6px rgba(0,0,0,.12); */
        z-index: 5;
        border: 1px solid #ddd;
        box-sizing: border-box;
        line-height: 40px;
        text-align: center;
        display: inline-block;
    }
    
    .page-component-up i {
        font-size: 36px;
        color: #bbb;
    }
    
    .page-component-up i:hover {
        background-color: #ef4455;
        border: 1px solid #ec3346;
    }
    
    .page-component-up:hover i {
        color: #f1f1f1;
    }
    
    .el-form-item .el-form-item__label {
        color: #3d3b4f !important;
    }
    
    .el-button [class*="el-icon-"]+span {
        margin-left: 5px;
        font-family: "perfectFont";
    }
</style>